<!---
The contents of this file are subject to the Mozilla Public License Version 1.1
(the "License"); you may not use this file except in compliance with the
License. You may obtain a copy of the License at http://www.mozilla.org/MPL/
 
Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
the specific language governing rights and limitations under the License.
 
The Original Code is comprised of the pt_social_media directory
 
The Initial Developer of the Original Code is
PaperThin, Inc. Copyright(C) 2015.
All Rights Reserved.
 
By downloading, modifying, distributing, using and/or accessing any files
in this directory, you agree to the terms and conditions of the applicable
end user license agreement.
--->

<!---
/* *************************************************************** */
Author: 	
	PaperThin Inc.
	G. Cronkright
Name:
	video_size_calc_props.cfm
Summary:
	CFT to render a video size option fields for the YouTube videos in a LightBox.
ADF App:
	pt_social_media
Version:
	3.0
History:
	2011-06-11 - GAC - Created
	2011-11-02 - GAC - Added Min and Max width value options
	2012-01-12 - GAC - Added in the noCoflict=true to help with 6.x javascript name space issue
	2015-06-23 - DRM - Added fieldVersion var and display
	2016-02-26 - DRM - Resource detection exit
							 Bump field version
--->

<!--- if this module loads resources, do it here.. --->
<cfscript>
	application.ptCalendar.scripts.loadJQuery(noConflict=true);
</cfscript>

<!--- ... then exit if all we're doing is detecting required resources --->
<cfif Request.RenderState.RenderMode EQ "getResources">
  <cfexit>
</cfif>


<cfscript>
	// Variable for the version of the field - Display in Props UI.
	fieldVersion = "2.0.2";
	
	// initialize some of the attributes variables
	typeid = attributes.typeid;
	prefix = attributes.prefix;
	formname = attributes.formname;
	currentValues = attributes.currentValues;
	
	if( not structKeyExists(currentValues, "fldID") )
		currentValues.fldID = "";
		
	if( not structKeyExists(currentValues, "maxWidth") )
		currentValues.maxWidth = "900";
	if( not structKeyExists(currentValues, "minWidth") )
		currentValues.minWidth = "150";
</cfscript>

<cfoutput>
	<script language="JavaScript" type="text/javascript">
		// register the fields with global props object
		fieldProperties['#typeid#'].paramFields = '#prefix#fldID,#prefix#maxWidth,#prefix#minWidth';
	
		// allows this field to support the orange icon (copy down to label from field name)
		fieldProperties['#typeid#'].jsLabelUpdater = '#prefix#doLabel';
		// allows this field to have a common onSubmit Validator
		fieldProperties['#typeid#'].jsValidator = '#prefix#doValidate';
		// handling the copy label function
		function #prefix#doLabel(str)
		{
			document.#formname#.#prefix#label.value = str;
		}
		function #prefix#doValidate()
		{
			if( jQuery("###prefix#maxWidth").attr("value").length == 0 )
			{
				alert('Please enter a valid Maximum Width value');
				jQuery("###prefix#maxWidth").focus();
				return false;
			}
			if( jQuery("###prefix#minWidth").attr("value").length == 0 )
			{
				alert('Please enter a valid Minimum Width value');
				jQuery("###prefix#minWidth").focus();
				return false;
			}
			return true;
		}
	</script>
	<table>
		<tr>
			<td class="cs_dlgLabelSmall" valign="top" nowrap="nowrap">Field ID:</td>
			<td class="cs_dlgLabelSmall">
				<input type="text" name="#prefix#fldID" id="#prefix#fldID" class="cs_dlgControl" value="#currentValues.fldID#" size="40">
				<br/><span>Please enter the field ID to be used via JavaScript.  If blank, will use the name entered as the field name.</span>
			</td>
		</tr>
		<tr>
			<td class="cs_dlgLabelSmall">Maximum Width:</td>
			<td class="cs_dlgLabelSmall">
				<input type="text" name="#prefix#maxWidth" id="#prefix#maxWidth" class="cs_dlgControl" value="#currentValues.maxWidth#" size="10">
				<!--- <br/><span>Please enter the field name to be used via JavaScript.  If blank, will use default name.</span> --->
			</td>
		</tr>
		<tr>
			<td class="cs_dlgLabelSmall">Minimum Width:</td>
			<td class="cs_dlgLabelSmall">
				<input type="text" name="#prefix#minWidth" id="#prefix#minWidth" class="cs_dlgControl" value="#currentValues.minWidth#" size="10">
				<!--- <br/><span>Please enter a class name to be used via JavaScript or CSS.  If blank, a class attribute will not be added.</span> --->
			</td>
		</tr>
		<tr>
			<td class="cs_dlgLabelSmall" colspan="2" style="font-size:7pt;">
				<hr />
				ADF Custom Field v#fieldVersion#
			</td>
		</tr>
	</table>
</cfoutput>